Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.entity.item
Class ItemTossEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.entity.EntityEvent
              net.minecraftforge.event.entity.item.ItemEvent
                  net.minecraftforge.event.entity.item.ItemTossEvent

    public class ItemTossEvent

extends ItemEvent

Event that is fired whenever a player tosses (Q) an item or drag-n-drops a stack of items outside the inventory GUI screens. Canceling the event will stop the items from entering the world, but will not prevent them being removed from the inventory - and thus removed from the system.

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent
`EntityEvent.CanUpdate, EntityEvent.EnteringChunk`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.Result`

Field Summary
`EntityPlayer` | `player` The player tossing the item.

Fields inherited from class net.minecraftforge.event.entity.item.ItemEvent
`entityItem`

Fields inherited from class net.minecraftforge.event.entity.EntityEvent
`entity`

Constructor Summary
`ItemTossEvent(EntityItem entityItem, EntityPlayer player)` Creates a new event for EntityItems tossed by a player.

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, isCancelable, isCanceled, setCanceled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### player

    public final EntityPlayer player

  The player tossing the item.

Constructor Detail

### ItemTossEvent

    public ItemTossEvent(EntityItem entityItem,
                         EntityPlayer player)

  Creates a new event for EntityItems tossed by a player.

  Parameters:
    `entityItem` - The EntityItem being tossed.
    `player` - The player tossing the item.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD